<?
require('startinclude.php');


function jelemento($ventana,$elemento,$htm) {
	$tmp = "if (document.getElementById('$elemento')) { \n";
	$tmp.= "document.getElementById('$elemento').innerHTML='$htm';\n";
	$tmp.= " }\n";
	return $tmp;
}
function jclase($ventana,$elemento,$clase) {
	$tmp = "if (document.getElementById('$elemento')) { \n";
	$tmp .= "document.getElementById('$elemento').className='$clase';\n";
	$tmp.=" } \n";
	return $tmp;
}


$camara=parametro('camara',0);
$id=parametro('id',0);
$direccion=parametro('direccion',0);
$valorn=parametro('valor',0);


$temp=array();
$camaras=array();



//	$id_camara=apc_fetch('id_camara');
//	$id_sensor=apc_fetch('id_sensor'.$camara);
	leer_camaras($camaras);

		
	$panel_direccion=$camaras[$camara]["panel_direccion2"];
	$id_camara=$camaras[$camara]["id_camara"];
	
	if ($direccion!=1280) {
		$sql1="UPDATE pf_panel ";
		$sql1.=" SET cambiado='S', valor=".$valor."  ";	
		$sql1.="where id=".$id_camara." and direccion=".$direccion;
		$filas=0;
		$resultado="";
		ejecutarsql($sql1,&$filas,&$resultado);		
	}

	if ($valor!=="") {
		$sql="insert into MOTORESCRITURAS(EscrituraDirModulo, EscrituraDirMemoria, EscrituraValor, EscrituraError) ";
		$sql.="values ( $panel_direccion , $direccion , $valor,1);	"; // = 1 es intento no error.
		ejecutarsql($sql,&$filas,&$resultado);	
	// select  from Pf_panel where id=$id
	
		//$sql.="values ( $panel_direccion , $direccion , $valor,1);	"; // = 1 es intento no error.
		
	}
	
	jsinicio();
	echo "alert(\"Dato Guardado\");";
	echo "loader.stop();";


	
	
	jsfin();
?>